#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Simple DirectMedia Layer Perl
Summary(pl.UTF-8):	Interfejs Simple DirectMedia Layer dla Perla
Name:		perl-SDL
Version:	2.1.3
Release:	7
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DG/DGOEHRIG/SDL_Perl-%{version}.tar.gz
# Source0-md5:	6ce26e1b710ce52def4ec22637cd5176
Patch0:		%{name}-gfxPie.patch
Patch1:		%{name}-no-mixertest.patch
URL:		http://search.cpan.org/dist/SDL_Perl/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel >= 2.0.10
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	smpeg-devel
Provides:	perl(SDL::OpenGL)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_perl is a package of perl modules that provides both functional
and object orient interfaces to the Simple DirectMedia Layer for Perl
5. This package does take some liberties with the SDL API, and
attempts to adhere to the spirit of both the SDL and Perl.

%description -l pl.UTF-8
SDL_perl to pakiet z modułami Perla udostępniający z poziomu Perla
interfejsy zarówno funkcjonalne, jak i zorientowane obiektowo do
biblioteki SDL (Simple DirectMedia Layer). Pakiet przejmuje trochę
swobody z API SDL i próbuje się dopasować do idei SDL oraz Perla.

%prep
%setup -q -n SDL_Perl-%{version}
%patch0 -p0
%patch1 -p1

mv t/mixerpm.t{,.blah}	# requires audio device

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl=%{__perl} \
	destdir=$RPM_BUILD_ROOT \
	config='optimize=%{rpmcflags}' \
	config='lddlflags=-shared %{rpmldflags}'
./Build

# <sigh> I don't know why but for some reason these dirs get put under
# blib/arch/auto/src instead of blib/arch/auto causing them to be installed
# in the wrong location and "./Build test" to fail. We copy them because if
# we move them the next call to ./Build will recreate them in the wrong
# location anyways. Unfortunatly with the copy the wrong located originals
# will also end up getting installed so we must remove those in %%install
cp -r blib/arch/auto/src/SDL* blib/arch/auto

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/auto/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG TODO README
%{_mandir}/man3/*
%{perl_vendorarch}/SDL*.pm
%{perl_vendorarch}/SDL
%dir %{perl_vendorarch}/auto/SDL
%dir %{perl_vendorarch}/auto/SDL_perl
%{perl_vendorarch}/auto/SDL_perl/SDL_perl.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SDL_perl/SDL_perl.so
%dir %{perl_vendorarch}/auto/SDL/OpenGL
%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.so
%dir %{perl_vendorarch}/auto/SDL/SFont
%{perl_vendorarch}/auto/SDL/SFont/SFont.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/SFont/SFont.so
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SDL.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 69f9dfd
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fc726c
- release 6

* Thu May 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> c13a50e
- release 5

* Sat Jan 10 2009 radek <radek@pld-linux.org> 030fee4
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9115cff
- release 3

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 0643718
- rel.2

* Sat Jan 05 2008 tommat <tommat@pld-linux.org> 8d5cb98
- rel 1

* Sat Jan 05 2008 tommat <tommat@pld-linux.org> 239a675
- added gfxPie.patch and no-mixertest.patch
- paths workaround from FC, builds

* Sat Jan 05 2008 tommat <tommat@pld-linux.org> 061650c
- initial from FC

* Sat Jan 05 2008 tommat <tommat@pld-linux.org> 8cb7729
- BR: perl-ExtUtils-CBuilder

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 593f3ce
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 54b0da0
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 87e0712
- removed outdated detection patch
- fixed OpenGL deps (glut not used, but GLU is)
- fixed optflags passing, pass rpmldflags too

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 2699441
- outdated

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 39afb86
- BR: perl-YAML

* Thu Jul 27 2006 Maciej Pijanka <agaran@pld-linux.org> 814a2c8
- up to 2.1.3, rel 0.1, NFY, WIP

* Wed Dec 01 2004 radek <radek@pld-linux.org> af49fbd
- release 2: turned off t/mixerpm.t (requires audio device)

* Wed Dec 01 2004 radek <radek@pld-linux.org> f4846d7
- autoupdated to 2.1.2

* Wed Dec 01 2004 radek <radek@pld-linux.org> c2699ea
- standarized Source0 URL

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> dd90f84
- spelling fixes, uppercases, etc.

